package cn.hmsoft.hmplatform.helper;

import java.io.File;
import cn.hmsoft.frame.exception.BusinessException;
import cn.hmsoft.helper.RandomHelper;

public class PlatformParamHelper {

	/**********************
	 * 获取token密码
	 */
	public static String FetchWeixinTokenPass = "hm2020";
	
	/**********************
	 * 获取token密码
	 */
	public static String IdentifyVerifyPass = "hm2020";
	/**
	 * 人脸比对秘钥md5
	 */
	public static String FaceMatchPass = "hm2020";
	/**************************
	 * 创建临时文件
	 */
	/**************************
	 * 创建临时文件
	 */
	public static File createTempFile() {
		try {
			return File.createTempFile("Platform" + RandomHelper.getRandomValue(32),
					".tmp");
		} catch (Exception e) {
			throw new BusinessException("无法创建临时文件，请联系系统管理员！");
		}
	}
	/*
	 * 创建临时文件
	 */
	public static File createTempFile(String suffix) {
		try {
			return File.createTempFile("Platform" + RandomHelper.getRandomValue(32),
					"."+suffix);
		} catch (Exception e) {
			throw new BusinessException("无法创建临时文件，请联系系统管理员！");
		}
	}
}
